Skip to main content
GET
/
api
/
v1
/
external
/
companies
/
{companyId}
/
exposures
/
configuration
Get Exposure Configuration
curl --request GET \
  --url https://app.aiinsurance.io/api/v1/external/companies/{companyId}/exposures/configuration \
  --header 'Authorization: <api-key>'
import requests

url = "https://app.aiinsurance.io/api/v1/external/companies/{companyId}/exposures/configuration"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://app.aiinsurance.io/api/v1/external/companies/{companyId}/exposures/configuration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "fields": {
    "$schema": "https://json-schema.org/draft/2020-12/schema",
    "type": "object",
    "properties": {
      "exposureName": {
        "type": "string",
        "title": "exposureName"
      },
      "exposureType": {
        "type": "string",
        "title": "exposureType"
      },
      "numberOfEmployees": {
        "type": "number",
        "title": "numberOfEmployees"
      },
      "riskLevel": {
        "type": "string",
        "title": "riskLevel",
        "oneOf": [
          {
            "const": "low",
            "title": "Low"
          },
          {
            "const": "medium",
            "title": "Medium"
          },
          {
            "const": "high",
            "title": "High"
          }
        ]
      }
    },
    "required": [
      "exposureName",
      "exposureType"
    ]
  }
}

Authorizations

Authorization
string
header
required

API key authentication. Include your API key in the Authorization header.

Path Parameters

companyId
string<uuid>
required

Company identifier

Response

Configuration for exposure fields

Configuration response for Field Model V1 exposures. Returns a JSON Schema describing the fields available for creating or updating exposures.

fields
object
required

JSON Schema (draft 2020-12) describing the valid fields for the exposure request body. Each property corresponds to a field referenceId in the company's configuration.